Bug 242226 - net/isc-dhcp44-server - Error when cross-compiling using poudriere (amd64 to arm)
Summary: net/isc-dhcp44-server - Error when cross-compiling using poudriere (amd64 to ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-25 16:27 UTC by yani
Modified: 2020-01-26 22:23 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (zi)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yani 2019-11-25 16:27:57 UTC
Hello,

I'm getting the following error when cross-compiling isc-dh44-server using poudriere on amd64 for arm (Raspberry PI 2).


=>> Building net/isc-dhcp44-server
build started at Mon Nov 25 16:15:38 GMT 2019
port directory: /usr/ports/net/isc-dhcp44-server
package name: isc-dhcp44-server-4.4.1_4
building for: FreeBSD microserver12-default-job-01 12.1-RELEASE-p1 FreeBSD 12.1-RELEASE-p1 1201000 arm
maintained by: zi@FreeBSD.org
Makefile ident:      $FreeBSD: head/net/isc-dhcp44-server/Makefile 514505 2019-10-15 10:00:34Z tobik $
Poudriere version: 3.3.2_1
Host OSVERSION: 1201000
Jail OSVERSION: 1201000
Job Id: 01

---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1201000
UNAME_v=FreeBSD 12.1-RELEASE-p1 1201000
UNAME_r=12.1-RELEASE-p1
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
QEMU_EMULATING=1
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.2_1
MASTERMNT=/usr/local/poudriere/data/.m/microserver12-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=screen
GID=0
UID=0
PWD=/usr/local/poudriere/data/.m/microserver12-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=microserver12-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/microserver12-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for isc-dhcp44-server-4.4.1_4:
     BIND_SYMBOLS=on: Enable BIND internal symbol table
     BINLEASES=off: Enable support for binary insertion of leases
     DHCP4O6=off: Enable DHCPv4-over-DHCPv6 (TSV)
     IPV6=on: IPv6 protocol support
     LDAP=off: LDAP protocol support
     LDAP_SSL=off: Support LDAP over SSL/TLS
     PARANOIA=off: Enable support for chroot
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
zi@FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--
--localstatedir=/var --disable-binary-leases --disable-dhcpv4o6 --enable-dhcpv6 --without-ldap --without-ldapcrypto --disable-paranoia --disable-early-chroot --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake ac_cv_path_PERL=/usr/local/bin/perl ac_cv_path_PERL_PATH=/usr/local/bin/perl  PERL_USE_UNSAFE_INC=1 XDG_DATA_HOME=/wrkdirs/usr/ports/net/isc-dhcp44-server/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/isc-dhcp44-server/work  HOME=/wrkdirs/usr/ports/net/isc-dhcp44-server/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/net/isc-dhcp44-server/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
PERL_USE_UNSAFE_INC=1 XDG_DATA_HOME=/wrkdirs/usr/ports/net/isc-dhcp44-server/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/isc-dhcp44-server/work  HOME=/wrkdirs/usr/ports/net/isc-dhcp44-server/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/net/isc-dhcp44-server/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O -pipe  -fPIC -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS="-D_PATH_DHCLIENT_SCRIPT='\"/usr/local/sbin/dhclient-script\"' -D_PATH_DHCLIENT_CONF='\"/usr/local/etc/dhclient.conf\"' -D_PATH_DHCPD_CONF='\"/usr/local/etc/dhcpd.conf\"'"  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O -pipe -fPIC -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
 BIND_SYMBOLS="" NO_BIND_SYMBOLS="@comment " BINLEASES="@comment " NO_BINLEASES="" DHCP4O6="@comment " NO_DHCP4O6="" IPV6="" NO_IPV6="@comment " LDAP="@comment " NO_LDAP="" LDAP_SSL="@comment " NO_LDAP_SSL="" PARANOIA="@comment " NO_PARANOIA="" OSREL=12.1 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib PERL_VERSION=5.30.1  PERL_VER=5.30  PERL5_MAN1=lib/perl5/site_perl/man/man1  PERL5_MAN3=lib/perl5/site_perl/man/man3  SITE_PERL=lib/perl5/site_perl  SITE_ARCH=lib/perl5/site_perl/mach/5.30 DOCSDIR="share/doc/isc-dhcp44-server"  EXAMPLESDIR="share/examples/dhcp"  DATADIR="/var/db"  WWWDIR="www/dhcp"  ETCDIR="etc/dhcp"
--End PLIST_SUB--

--SUB_LIST--
 BIND_SYMBOLS="" NO_BIND_SYMBOLS="@comment " BINLEASES="@comment " NO_BINLEASES="" DHCP4O6="@comment " NO_DHCP4O6="" IPV6="" NO_IPV6="@comment " LDAP="@comment " NO_LDAP="" LDAP_SSL="@comment " NO_LDAP_SSL="" PARANOIA="@comment " NO_PARANOIA="" PARANOIAOPT="no" PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/var/db DOCSDIR=/usr/local/share/doc/isc-dhcp44-server EXAMPLESDIR=/usr/local/share/examples/dhcp  WWWDIR=/usr/local/www/dhcp ETCDIR=/usr/local/etc/dhcp
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/microserver12-make.conf ####
MK_PROFILE= no
DEFAULT_VERSIONS+= ssl=base
DEFAULT_VERSIONS+= mysql=5.6
OPTIONS_UNSET= X11
PATCH_DEBUG=   yes

#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1) Target: armv6-unknown-freebsd12.1-gnueabihf Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1) Target: armv6-unknown-freebsd12.1-gnueabihf Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1) Target: armv6-unknown-freebsd12.1-gnueabihf Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=armv6
OPSYS=FreeBSD
_OSRELEASE=12.1-RELEASE-p1
OSREL=12.1
OSVERSION=1201000
PYTHONBASE=/usr/local
_SMP_CPUS=4
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  131072
stack size              (kbytes, -s)  2048
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  12200
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License MPL20 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   isc-dhcp44-server-4.4.1_4 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.12.0.txz
[microserver12-default-job-01] Installing pkg-1.12.0...
[microserver12-default-job-01] Extracting pkg-1.12.0: .......... done
===>   isc-dhcp44-server-4.4.1_4 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of isc-dhcp44-server-4.4.1_4
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MPL20 accepted by the user
===> Fetching all distfiles required by isc-dhcp44-server-4.4.1_4 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MPL20 accepted by the user
===> Fetching all distfiles required by isc-dhcp44-server-4.4.1_4 for building
=> SHA256 Checksum OK for dhcp-4.4.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MPL20 accepted by the user
===> Fetching all distfiles required by isc-dhcp44-server-4.4.1_4 for building
===>  Extracting for isc-dhcp44-server-4.4.1_4
=> SHA256 Checksum OK for dhcp-4.4.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for isc-dhcp44-server-4.4.1_4
===>  Applying FreeBSD patches for isc-dhcp44-server-4.4.1_4
===>  Applying FreeBSD patch patch-client__dhclient.conf.example
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- client/dhclient.conf.example.orig  2015-09-11 20:11:21 UTC
|+++ client/dhclient.conf.example
--------------------------
Patching file client/dhclient.conf.example using Plan A...
Hunk #1 succeeded at 11.
done
===========================================================================
=======================<phase: build-depends  >============================
===>   isc-dhcp44-server-4.4.1_4 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_3.txz
[microserver12-default-job-01] Installing gmake-4.2.1_3...
[microserver12-default-job-01] `-- Installing gettext-runtime-0.20.1...
[microserver12-default-job-01] |   `-- Installing indexinfo-0.3.1...
[microserver12-default-job-01] |   `-- Extracting indexinfo-0.3.1: .... done
[microserver12-default-job-01] `-- Extracting gettext-runtime-0.20.1: .......... done
[microserver12-default-job-01] Extracting gmake-4.2.1_3: .......... done
===>   isc-dhcp44-server-4.4.1_4 depends on executable: gmake - found
===>   Returning to build of isc-dhcp44-server-4.4.1_4
===>   isc-dhcp44-server-4.4.1_4 depends on package: perl5>=5.30.r1<5.31 - not found
===>   Installing existing package /packages/All/perl5-5.30.1.txz
[microserver12-default-job-01] Installing perl5-5.30.1...
[microserver12-default-job-01] Extracting perl5-5.30.1: .......... done
root@freebsdvm2:/usr/local/poudriere/data/logs/bulk/microserver12-default/2019-11-25_16h15m05s/logs # tail -F isc-dhcp44-server-4.4.1_4.log
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking whether gmake supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... armv6-portbld-freebsd12.1
checking host system type... armv6-portbld-freebsd12.1
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether cc understands -c and -o together... yes
checking for style of include used by gmake... GNU
checking dependency style of cc... gcc3
checking how to run the C preprocessor... cpp
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking for minix/config.h... (cached) no
checking whether it is safe to define __EXTENSIONS__... yes
checking for ranlib... ranlib
checking for ar... /usr/bin/ar
checking whether byte ordering is bigendian... no
checking for dhcpd.leases location... /var/db/dhcpd.leases
checking for dhcpd6.leases location... /var/db/dhcpd6.leases
checking for dhclient.leases location... /var/db/dhclient.leases
checking for dhclient6.leases location... /var/db/dhclient6.leases
checking for int8_t... (cached) yes
checking for int16_t... (cached) yes
checking for int32_t... (cached) yes
checking for int64_t... (cached) yes
checking for u_int8_t... (cached) yes
checking for u_int16_t... (cached) yes
checking for u_int32_t... (cached) yes
checking for u_int64_t... yes
checking ifaddrs.h usability... yes
checking ifaddrs.h presence... yes
checking for ifaddrs.h... yes
checking linux/types.h usability... no
checking linux/types.h presence... no
checking for linux/types.h... no
checking for linux/filter.h... no
checking sys/dlpi.h usability... no
checking sys/dlpi.h presence... no
checking for sys/dlpi.h... no
checking net/bpf.h usability... yes
checking net/bpf.h presence... yes
checking for net/bpf.h... yes
checking for struct lifnum... no
checking for struct if_laddrconf... no
checking for struct if_laddrreq... no
checking for GCC noreturn attribute... yes
checking for sys/socket.h... (cached) yes
checking net/if_dl.h usability... yes
checking net/if_dl.h presence... yes
checking for net/if_dl.h... yes
checking net/if6.h usability... no
checking net/if6.h presence... no
checking for net/if6.h... no
checking regex.h usability... yes
checking regex.h presence... yes
checking for regex.h... yes
checking for library containing socket... none required
checking for library containing inet_ntoa... none required
checking for library containing inet_aton... none required
checking for library containing regcomp... none required
checking for strlcat... (cached) yes
checking for library containing if_nametoindex... none required
checking for nanosleep... yes
checking for random device... /dev/random
checking for /dev/random... yes
checking for struct sockaddr.sa_len... yes
checking size of struct iaddr *... 4
checking for struct msghdr.msg_control... yes
checking for struct tpacket_auxdata.tp_vlan_tci... no
checking for flexible array members... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating ./bind/Makefile
config.status: creating Makefile
config.status: creating client/Makefile
config.status: creating client/tests/Makefile
config.status: creating common/Makefile.am
config.status: creating common/Makefile
config.status: creating common/tests/Makefile
config.status: creating dhcpctl/Makefile.am
config.status: creating dhcpctl/Makefile
config.status: creating includes/Makefile
config.status: creating omapip/Makefile.am
config.status: creating omapip/Makefile
config.status: creating relay/Makefile
config.status: creating server/Makefile
config.status: creating tests/Makefile.am
config.status: creating tests/Makefile
config.status: creating tests/unittest.sh
config.status: creating server/tests/Makefile
config.status: creating doc/devel/doxyfile
config.status: creating includes/config.h
config.status: executing depfiles commands

     ISC DHCP source configure results:
    -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Package:
  Name:          DHCP
  Version:       4.4.1

C Compiler:      cc

Flags:
  DEFS:          -DHAVE_CONFIG_H
  CFLAGS:        -O -pipe  -fPIC -fstack-protector-strong -fno-strict-aliasing   -I$(top_srcdir)/includes -I/wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/include

DHCP versions:   DHCPv4 and DHCPv6

Features:
  debug:         no
  failover:      yes
  execute:       yes
  binary-leases: no
  dhcpv6:        yes
  delayed-ack:   yes
  dhcpv4o6:      no
  relay-port:    no

Developer:
  ATF unittests : no


Now you can type make to build ISC DHCP

===========================================================================
=======================<phase: build          >============================
===>  Building for isc-dhcp44-server-4.4.1_4
gmake[1]: Entering directory '/wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1'
Making all in ./bind
gmake[2]: Entering directory '/wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind'
Configuring BIND libraries for DHCP.
Building BIND libraries - this takes some time.
Building isc library in /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/isc
Building dns library in /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/dns
qemu: uncaught target signal 6 (Abort trap) - core dumped
Abort trap
gmake[4]: *** [Makefile:577: include/dns/enumtype.h] Error 1
gmake[3]: *** [Makefile:571: include] Error 2
Building isccfg library in /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/isccfg
In file included from aclconf.c:16:
In file included from /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/isccfg/include/isccfg/aclconf.h:21:
/wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/dns/include/dns/types.h:224:10: fatal error: 'dns/enumtype.h' file not found
#include <dns/enumtype.h>       /* Provides dns_rdatatype_t. */
         ^~~~~~~~~~~~~~~~
1 error generated.
gmake[3]: *** [Makefile:225: aclconf.o] Error 1
Building irs library in /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/irs
In file included from context.c:24:
In file included from /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/dns/include/dns/client.h:43:
In file included from /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/dns/include/dns/tsig.h:24:
/wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/dns/include/dns/types.h:224:10: fatal error: 'dns/enumtype.h' file not found
#include <dns/enumtype.h>       /* Provides dns_rdatatype_t. */
         ^~~~~~~~~~~~~~~~
1 error generated.
gmake[3]: *** [Makefile:225: context.o] Error 1
Installing BIND libraries to /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind.
mkdir /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/include
mkdir /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/include/isc
mkdir /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/include/pk11
mkdir /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/include/pkcs11
mkdir /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/lib
qemu: uncaught target signal 6 (Abort trap) - core dumped
Abort trap
gmake[4]: *** [Makefile:577: include/dns/enumtype.h] Error 1
gmake[3]: *** [Makefile:571: include] Error 2
In file included from aclconf.c:16:
In file included from /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/isccfg/include/isccfg/aclconf.h:21:
/wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/dns/include/dns/types.h:224:10: fatal error: 'dns/enumtype.h' file not found
#include <dns/enumtype.h>       /* Provides dns_rdatatype_t. */
         ^~~~~~~~~~~~~~~~
1 error generated.
gmake[3]: *** [Makefile:225: aclconf.o] Error 1
In file included from context.c:24:
In file included from /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/dns/include/dns/client.h:43:
In file included from /wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/dns/include/dns/tsig.h:24:
/wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind/bind-9.11.2-P1/lib/dns/include/dns/types.h:224:10: fatal error: 'dns/enumtype.h' file not found
#include <dns/enumtype.h>       /* Provides dns_rdatatype_t. */
         ^~~~~~~~~~~~~~~~
1 error generated.
gmake[3]: *** [Makefile:225: context.o] Error 1
gmake[2]: *** [Makefile:76: bind2] Error 2
gmake[2]: Leaving directory '/wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1/bind'
gmake[1]: *** [Makefile:462: all-recursive] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/net/isc-dhcp44-server/work/dhcp-4.4.1'
*** Error code 1

Stop.
make: stopped in /usr/ports/net/isc-dhcp44-server
=>> Cleaning up wrkdir
===>  Cleaning for isc-dhcp44-server-4.4.1_4
build of net/isc-dhcp44-server | isc-dhcp44-server-4.4.1_4 ended at Mon Nov 25 16:26:34 GMT 2019
build time: 00:10:57
!!! build failure encountered !!!
Comment 1 yani 2020-01-26 22:23:44 UTC
Issue resolved on the latest version.